curl --request DELETE \
--url https://api-sandbox.rinne.com.br/core/v1/companies/me/bank-accounts/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/companies/me/bank-accounts/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/companies/me/bank-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b941fcaf-d77e-448c-9bdd-e7effd269fb7",
"company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"nickname": "Main operations account",
"account_holder_name": "John Doe Silva",
"account_holder_document_number": "12345678901",
"branch_number": "0001",
"account_number": "12345678",
"account_type": "CHECKING",
"ispb": "12345678",
"status": "ACTIVE",
"deleted_at": null,
"primary": false,
"created_at": "2025-01-01T10:00:00.000Z",
"updated_at": "2025-01-01T10:00:00.000Z"
}{
"error": {
"code": "BAD_REQUEST",
"message": "Value must be a positive number",
"status": 400,
"details": {
"invalidField": "amount",
"receivedValue": "-10"
},
"path": "/transactions",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Soft delete bank account
Requires the banking.delete permission.
Soft deletes a specific bank account for the authenticated company
Authorizations
Company API key for authentication
Path Parameters
The bank account ID
Response
Bank account soft deleted successfully
Company bank account response
Bank account ID
"b941fcaf-d77e-448c-9bdd-e7effd269fb7"
Company ID
"a3dbd0c2-9f79-4f86-8caa-47779b3f2793"
User-defined label to distinguish accounts (null when not set)
"Main operations account"
Account holder full name
"John Doe Silva"
Account holder document number
"12345678901"
Branch number (digits only)
^\d+$"0001"
Account number (digits only)
^\d+$"12345678"
Account type
CHECKING, SAVINGS, SALARY, PAYMENT "CHECKING"
ISPB (Brazilian Payment System Identifier)
"12345678"
Account status
ACTIVE, DELETED "ACTIVE"
Deletion timestamp (null if not deleted)
null
Whether this is the primary bank account
false
Creation timestamp
"2025-01-01T10:00:00.000Z"
Last update timestamp
"2025-01-01T10:00:00.000Z"

